---
kind: pipeline
type: docker
name: check

platform:
  os: linux
  arch: x86_64

workspace:
  base: /srv/jekyll
  path: /


steps:
- name: jekyll
  image: jekyll/jekyll:latest
  commands:
    - jekyll serve

- name: discord notification
  image: appleboy/drone-discord
  settings:
    webhook_id:
      from_secret: discord_webhook_id
    webhook_token:
      from_secret: discord_webhook_token
    avatar_url: https://git.sthope.dev/sthope/drone_test/raw/branch/master/rick.png
    when:
      event:
        - push
        - tag
        - pull_request
        - deployment
      status:
        - changed
        - failure
        - success